# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.commons.math3.analysis.integration.BaseAbstractUnivariateIntegrator
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_ABSOLUTE_ACCURACY`
`1.0E-15`
`public static final int`
`DEFAULT_MAX_ITERATIONS_COUNT`
`2147483647`
`public static final int`
`DEFAULT_MIN_ITERATIONS_COUNT`
`3`
`public static final double`
`DEFAULT_RELATIVE_ACCURACY`
`1.0E-6`
org.apache.commons.math3.analysis.integration.MidPointIntegrator
Modifier and Type
Constant Field
Value
`public static final int`
`MIDPOINT_MAX_ITERATIONS_COUNT`
`64`
org.apache.commons.math3.analysis.integration.RombergIntegrator
Modifier and Type
Constant Field
Value
`public static final int`
`ROMBERG_MAX_ITERATIONS_COUNT`
`32`
org.apache.commons.math3.analysis.integration.SimpsonIntegrator
Modifier and Type
Constant Field
Value
`public static final int`
`SIMPSON_MAX_ITERATIONS_COUNT`
`64`
org.apache.commons.math3.analysis.integration.TrapezoidIntegrator
Modifier and Type
Constant Field
Value
`public static final int`
`TRAPEZOID_MAX_ITERATIONS_COUNT`
`64`

org.apache.commons.math3.analysis.interpolation.LoessInterpolator
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_ACCURACY`
`1.0E-12`
`public static final double`
`DEFAULT_BANDWIDTH`
`0.3`
`public static final int`
`DEFAULT_ROBUSTNESS_ITERS`
`2`
org.apache.commons.math3.analysis.interpolation.MicrosphereInterpolator
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BRIGHTNESS_EXPONENT`
`2`
`public static final int`
`DEFAULT_MICROSPHERE_ELEMENTS`
`2000`
org.apache.commons.math3.analysis.interpolation.UnivariatePeriodicInterpolator
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_EXTEND`
`5`

org.apache.commons.math3.analysis.solvers.BaseSecantSolver
Modifier and Type
Constant Field
Value
`protected static final double`
`DEFAULT_ABSOLUTE_ACCURACY`
`1.0E-6`
org.apache.commons.math3.analysis.solvers.SecantSolver
Modifier and Type
Constant Field
Value
`protected static final double`
`DEFAULT_ABSOLUTE_ACCURACY`
`1.0E-6`

org.apache.commons.math3.dfp.Dfp
Modifier and Type
Constant Field
Value
`public static final int`
`ERR_SCALE`
`32760`
`public static final byte`
`FINITE`
`0x0`
`public static final byte`
`INFINITE`
`0x1`
`public static final int`
`MAX_EXP`
`32768`
`public static final int`
`MIN_EXP`
`-32767`
`public static final byte`
`QNAN`
`0x3`
`public static final int`
`RADIX`
`10000`
`public static final byte`
`SNAN`
`0x2`
org.apache.commons.math3.dfp.DfpField
Modifier and Type
Constant Field
Value
`public static final int`
`FLAG_DIV_ZERO`
`2`
`public static final int`
`FLAG_INEXACT`
`16`
`public static final int`
`FLAG_INVALID`
`1`
`public static final int`
`FLAG_OVERFLOW`
`4`
`public static final int`
`FLAG_UNDERFLOW`
`8`

org.apache.commons.math3.distribution.AbstractRealDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`SOLVER_DEFAULT_ABSOLUTE_ACCURACY`
`1.0E-6`
org.apache.commons.math3.distribution.BetaDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.CauchyDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.ChiSquaredDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.ExponentialDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.FDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.GammaDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.LogNormalDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.NakagamiDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.NormalDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.ParetoDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.PoissonDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_EPSILON`
`1.0E-12`
`public static final int`
`DEFAULT_MAX_ITERATIONS`
`10000000`
org.apache.commons.math3.distribution.TDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.UniformRealDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`
org.apache.commons.math3.distribution.WeibullDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INVERSE_ABSOLUTE_ACCURACY`
`1.0E-9`

org.apache.commons.math3.geometry.VectorFormat<S>
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PREFIX`
`"{"`
`public static final String`
`DEFAULT_SEPARATOR`
`"; "`
`public static final String`
`DEFAULT_SUFFIX`
`"}"`

org.apache.commons.math3.linear.BlockFieldMatrix<T>
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_SIZE`
`36`
org.apache.commons.math3.linear.BlockRealMatrix
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_SIZE`
`52`
org.apache.commons.math3.linear.CholeskyDecomposition
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_ABSOLUTE_POSITIVITY_THRESHOLD`
`1.0E-10`
`public static final double`
`DEFAULT_RELATIVE_SYMMETRY_THRESHOLD`
`1.0E-15`
org.apache.commons.math3.linear.ConjugateGradient
Modifier and Type
Constant Field
Value
`public static final String`
`OPERATOR`
`"operator"`
`public static final String`
`VECTOR`
`"vector"`
org.apache.commons.math3.linear.OpenMapRealVector
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_ZERO_TOLERANCE`
`1.0E-12`

org.apache.commons.math3.optim.nonlinear.scalar.noderiv.BOBYQAOptimizer
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INITIAL_RADIUS`
`10.0`
`public static final double`
`DEFAULT_STOPPING_RADIUS`
`1.0E-8`
`public static final int`
`MINIMUM_PROBLEM_DIMENSION`
`2`

org.apache.commons.math3.optimization.direct.BOBYQAOptimizer
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_INITIAL_RADIUS`
`10.0`
`public static final double`
`DEFAULT_STOPPING_RADIUS`
`1.0E-8`
`public static final int`
`MINIMUM_PROBLEM_DIMENSION`
`2`
org.apache.commons.math3.optimization.direct.CMAESOptimizer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CHECKFEASABLECOUNT`
`0`
`public static final int`
`DEFAULT_DIAGONALONLY`
`0`
`public static final boolean`
`DEFAULT_ISACTIVECMA`
`true`
`public static final int`
`DEFAULT_MAXITERATIONS`
`30000`
`public static final double`
`DEFAULT_STOPFITNESS`
`0.0`

org.apache.commons.math3.optimization.linear.AbstractLinearOptimizer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_ITERATIONS`
`100`

org.apache.commons.math3.random.EmpiricalDistribution
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BIN_COUNT`
`1000`
org.apache.commons.math3.random.ValueServer
Modifier and Type
Constant Field
Value
`public static final int`
`CONSTANT_MODE`
`5`
`public static final int`
`DIGEST_MODE`
`0`
`public static final int`
`EXPONENTIAL_MODE`
`3`
`public static final int`
`GAUSSIAN_MODE`
`4`
`public static final int`
`REPLAY_MODE`
`1`
`public static final int`
`UNIFORM_MODE`
`2`

org.apache.commons.math3.special.Gamma
Modifier and Type
Constant Field
Value
`public static final double`
`GAMMA`
`0.5772156649015329`
`public static final double`
`LANCZOS_G`
`4.7421875`

org.apache.commons.math3.stat.descriptive.DescriptiveStatistics
Modifier and Type
Constant Field
Value
`public static final int`
`INFINITE_WINDOW`
`-1`

org.apache.commons.math3.stat.inference.KolmogorovSmirnovTest
Modifier and Type
Constant Field
Value
`protected static final double`
`KS_SUM_CAUCHY_CRITERION`
`1.0E-20`
`protected static final int`
`LARGE_SAMPLE_PRODUCT`
`10000`
`protected static final int`
`MAXIMUM_PARTIAL_SUM_COUNT`
`100000`
`protected static final int`
`MONTE_CARLO_ITERATIONS`
`1000000`
`protected static final double`
`PG_SUM_RELATIVE_ERROR`
`1.0E-10`
`protected static final int`
`SMALL_SAMPLE_PRODUCT`
`200`

org.apache.commons.math3.util.FastMath
Modifier and Type
Constant Field
Value
`public static final double`
`E`
`2.718281828459045`
`public static final double`
`PI`
`3.141592653589793`
org.apache.commons.math3.util.MathUtils
Modifier and Type
Constant Field
Value
`public static final double`
`PI_SQUARED`
`9.869604401089358`
`public static final double`
`TWO_PI`
`6.283185307179586`
org.apache.commons.math3.util.OpenIntToDoubleHashMap
Modifier and Type
Constant Field
Value
`protected static final byte`
`FREE`
`0x0`
`protected static final byte`
`FULL`
`0x1`
`protected static final byte`
`REMOVED`
`0x2`
org.apache.commons.math3.util.OpenIntToFieldHashMap<T>
Modifier and Type
Constant Field
Value
`protected static final byte`
`FREE`
`0x0`
`protected static final byte`
`FULL`
`0x1`
`protected static final byte`
`REMOVED`
`0x2`
org.apache.commons.math3.util.ResizableDoubleArray
Modifier and Type
Constant Field
Value
`public static final int`
`ADDITIVE_MODE`
`1`
`public static final int`
`MULTIPLICATIVE_MODE`
`0`